Bug 198223 - No documentation support for XML attribute or value completion
No documentation support for XML attribute or value completion
Status: RESOLVED FIXED
Product: xml
Classification: Unclassified
Component: Text-Edit
7.0
PC Linux
: P3 with 15 votes (vote)
: 7.0.1
Assigned To: issues@xml
issues@xml
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-01 12:24 UTC by _ rkubacki
Modified: 2011-05-25 10:41 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
patch against release69 repo (6.63 KB, patch)
2011-05-01 12:24 UTC, _ rkubacki
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description _ rkubacki 2011-05-01 12:24:35 UTC
Created attachment 108033 [details]
patch against release69 repo

GrammarQuery implementation for XML documents can provide description for its results but those are only used to create documentation view when completion is shown for an (opening) element completion. They are ignored for other items like attribute names or values.

It would be really great to pass information about attribute meaning or value to user in some cases. For example Android development uses XML files for application manifest or to define visual layouts.

Quite easy to implement - see attached patch.
Comment 1 HMPerson1 2011-05-20 23:19:12 UTC
Has there been any progress?
Comment 2 Marek Fukala 2011-05-24 10:00:59 UTC
Reivewed, the patch looks good, thanks for the contribution Radime.
Comment 3 Marek Fukala 2011-05-24 10:02:06 UTC
BTW, are you going to integrate to dev by yourself or should I do it?
Comment 4 _ rkubacki 2011-05-24 12:30:30 UTC
I can try to push it if you tell me what repository to use. http://hg.netbeans.org/main/ says it is a catch-all area. And if I still have commit rights (someone told that they were transferred from CVS repository but I've never tried).

Or it would be simpler if you just do it. Thanks.
Comment 5 Marek Fukala 2011-05-24 13:12:15 UTC
fixed 

http://hg.netbeans.org/web-main/rev/e4acd54fe7c1

Do you need the fix in the 7.0.1 repository as well (it's a fixes minor release of 7.0)?
Comment 6 _ rkubacki 2011-05-24 13:16:54 UTC
Port to 7.0.1 would be awesome. I do not know what is the plan for next full release and this will make a difference for nbandroid users so the sooner they get it the better (current plugin version already passes the data).
Comment 7 Marek Fukala 2011-05-24 13:47:21 UTC
changeset:   199075:1ff1c2e18432
branch:      release701
Comment 8 Quality Engineering 2011-05-25 10:41:27 UTC
Integrated into 'main-golden', will be available in build *201105250400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/e4acd54fe7c1
User: Marek Fukala <mfukala@netbeans.org>
Log: #198223 - No documentation support for XML attribute or value completion


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo